.wrapper {
  width: 100%;
  height: 100vh;
  font-family: "Ubuntu", sans-serif;
  font-weight: 400;
  font-size: 16px;
}

.background {
  background-image: url("../img/background.png");
  background-size: cover;
}

.header-container {
  display: flex;
  height: 58px;
  justify-content: space-between;
  align-items: center;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  background: rgba(0, 0, 0, 0.4);
}

.header-logo {
  margin-left: 80px;
  color: #ffffff;
  font-weight: 700;
  font-size: 22px;
  text-transform: uppercase;
  transition: 0.3s;
}

.nav-menu {
  display: flex;
  align-items: center;
}

.hover:hover {
  color: #3cb878;
  fill: #3cb878;
  transition: 0.3s;
}

.sign-type {
  display: inline-block;
  color: #ffffff;
  margin-right: 80px;
}

.sign-type::before {
  content: "";
  border-left: 1px solid rgba(255, 255, 255, 0.9);
  padding-left: 27px;
}

.log-in,
.sign-up {
  color: #ffffff;
  transition: 0.3s;
}

.icon-svg {
  margin-right: 27px;
  cursor: pointer;
}

.form-block {
  position: relative;
  margin: 54px auto;
  width: 444px;
  height: 584px;
  background-color: #ffffff;
}

.form-block::before {
  content: "";
  position: absolute;
  top: 29px;
  left: 0;
  width: 18px;
  height: 18px;
  background-color: #3cb878;
}

.form-container {
  display: flex;
  position: relative;
  flex-direction: column;
  padding: 60px 60px 0;
}

.btn-container {
  display: flex;
  justify-content: space-between;
  width: 100%;
}

.btn-text {
  display: block;
  height: 100%;
  font-size: 16px;
  color: rgba(255, 255, 255, 1);
  padding-top: 15px;
}

.facebook-btn {
  display: flex;
  position: relative;
  justify-content: space-between;
  align-items: center;
  padding: 0 20px 0 16px;
  width: 157px;
  height: 46px;
  background-color: #305db8;
  border-radius: 4px;
  color: #ffffff;
  transition: 0.3s;
}

.facebook-btn::before {
  content: "";
  position: absolute;
  top: 10px;
  left: 47px;
  background-color: rgba(10, 22, 47, 0.1);
  width: 1px;
  height: 28px;
}

.facebook-btn:hover {
  background-color: #022263;
  transition: 0.3s;
}

.google-btn {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  padding: 0 26px 0 10px;
  width: 157px;
  height: 46px;
  border-radius: 4px;
  background-color: rgba(223, 74, 50, 1);
  color: #ffffff;
  transition: 0.3s;
}

.google-btn::before {
  content: "";
  position: absolute;
  top: 10px;
  left: 47px;
  background-color: rgba(43, 13, 9, 0.1);
  width: 1px;
  height: 28px;
}

.google-btn:hover {
  background-color: #ab1f09;
  transition: 0.3s;
}

.signup-text {
  position: absolute;
  top: 30px;
  left: 60px;
  font-size: 20px;
  color: #434343;
}

.login-text {
  position: absolute;
  top: 27px;
  right: 60px;
  text-align: right;
  font-size: 14px;
  color: #3cb878;
  padding-top: 6px;
}

.hover-underline:hover {
  text-decoration: underline;
  color: rgba(1, 129, 63, 1);
  transition: 0.3s;
}

.or-line {
  color: #848484;
  font-size: 14px;
  text-align: center;
  margin-top: 32px;
  margin-bottom: 11px;
}

.or-line::before,
.or-line::after {
  display: inline-block;
  content: "";
  width: 152px;
  height: 1px;
  vertical-align: middle;
  background-color: #f2f2f2;
}

.form-item {
  width: 322px;
  height: 44px;
  margin-top: 16px;
  border: 1px solid #f2f2f2;
  border-radius: 4px;
  padding-left: 20px;
  outline: none;
  cursor: pointer;
}

input[placeholder="First Name"] {
  margin-top: 0;
}

.form-item:focus {
  box-shadow: 0 3px 8px rgba(0, 0, 0, 0.21);
  color: rgba(67, 67, 67, 1);
}

.checkbox {
  position: relative;
  margin-top: 12px;
}

.checkbox-input {
  appearance: none;
  position: absolute;
}

.checkbox-label {
  color: #434343;
  font-size: 14px;
  padding-left: 27px;
  cursor: pointer;
}

.checkbox-label:first-child {
  padding-left: 0;
}

.checkbox-label::before {
  content: "";
  display: block;
  position: absolute;
  width: 20px;
  height: 20px;
  background: rgba(0, 0, 0, 0.0001);
  border: 1px solid #f2f2f2;
  top: -1.5px;
  left: 0;
  z-index: 1;
}

.checkbox-label::after {
  content: "";
  display: block;
  width: 16px;
  height: 17px;
  background-image: url("../img/mark.svg");
  background-repeat: no-repeat;
  background-size: 16px 17px;
  position: absolute;
  top: 1.5px;
  left: 2px;
  z-index: 2;
  opacity: 0;
}

.checkbox-input:checked + .checkbox-label::after {
  opacity: 1;
}

.checkbox-label-green {
  color: rgba(60, 184, 120, 1);
  font-size: 14px;
}

.create-btn {
  width: 324px;
  height: 46px;
  background-color: rgba(60, 184, 120, 1);
  border: none;
  border-radius: 4px;
  color: #ffffff;
  font-size: 16px;
  font-weight: 400;
  margin-top: 20px;
  cursor: pointer;
  transition: 0.3s;
}

.create-btn:hover {
  background-color: rgba(1, 129, 63, 1);
}
